import { BaseDirective } from '../../../base.directive';
import * as i0 from "@angular/core";
export declare class EuiIconComponent extends BaseDirective {
    get cssClasses(): any;
    iconClass: any;
    isLoading: boolean;
    get ariaLabel(): string;
    set ariaLabel(value: string | null);
    protected _ariaLabel: string;
    constructor();
    getCssClasses(): string;
    static ɵfac: i0.ɵɵFactoryDef<EuiIconComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<EuiIconComponent, "span[euiIcon], i[euiIcon], eui-icon", never, { "iconClass": "iconClass"; "isLoading": "isLoading"; "ariaLabel": "aria-label"; }, {}, never, ["*"]>;
}
